#ifndef __OGRE_AUDIERE_H__
#define __OGRE_AUDIERE_H__

/****************************************************************
 * Simple Audiere binding for OGRE
 * by Holger Frydrych
 *
 * This binding implements an audiere::File derived class that
 * uses the Ogre Resource system to load Ogre resources. You
 * can then use such a File object with the audiere sound 
 * library to load sounds from the Ogre resource system.
 * The binding is placed in the public domain, do with it
 * whatever you want.
 ****************************************************************/


#include <OgrePrerequisites.h>

namespace audiere
{
  // forward declaring File
  class File;
  
  // load a File from Ogre resource system.
  File* OpenOgreResourceFile(const Ogre::String& filename);
}

#endif
