#include "combos.h"
#include <Ogre.h>
#include <boost/lexical_cast.hpp>

using namespace Ogre;
using namespace std;
using namespace boost;

Combinations::Combinations()
{
  // load all combinations from file combinations.txt
  // combinations are stored in text form:
  // [colour permutation] [score] [combination name]
  DataStreamPtr comboFile = ResourceGroupManager::getSingleton().openResource("combinations.txt");
  while (!comboFile->eof())
  {
    Info info;
    string line = comboFile->getLine();
    if (line.empty())
      continue;
    string combo = line.substr(0, line.find(' '));
    line.erase(0, combo.size()+1);
    string scoreStr = line.substr(0, line.find(' '));
    info.score = lexical_cast<int>(scoreStr);
    line.erase(0, scoreStr.size()+1);
    info.name = line;
    mCombos[combo] = info;
  }
}

Combinations::Info* Combinations::getCombo(const std::string& combo)
{
  ComboList::iterator it = mCombos.find(combo);
  if (it == mCombos.end())
    return 0;
  return &it->second;
}
