#ifndef __COMBOS_H__
#define __COMBOS_H__

/***********************************************************
 * COMBINATIONS MANAGEMENT
 * This class loads and manages all valid combinations for
 * the game. A combination grants extra points for hitting
 * ballons in a specific colour order.
 ***********************************************************/

#include <string>
#include <map>

class Combinations
{
  public:
    struct Info
    {
      std::string name;
      int score;
    };

    Combinations();

    // looks for the given combination (given as a colour permutation in string form)
    // returns 0 if not found.
    Info* getCombo(const std::string& combo);

  private:
    typedef std::map<std::string, Info> ComboList;
    ComboList mCombos;
};

#endif
