#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

/*************************************************************
 * CONSTANTS
 * Some constants that are used in the game.
 * Note: Inconsistent. Other constants are stored where
 * used (which is actually preferable).
 *************************************************************/

const double GRAVITY = -150.0;  // gravity acceleration
const int NUM_SPAWNS = 2; // number of spawn points for mice
const double X_MIN = -2.0;  // X min offset for spawn area
const double X_MAX = 9.0; // X max offset for spawn area
const double Z_MIN = -18.0;  // Z min offset for spawn area
const double Z_MAX = 18.0;  // Z max offset for spawn area
const double WALK_SPEED = 10.0;  // walking speed for flying mice
const double BASE_FLOATING_ACCEL = 1.5;  // floating ballon acceleration
const double MOVE_SPEED = 16.0; // walking speed for player
const double WAY_MIN = -18.0; // leftmost offset for player
const double WAY_MAX = 18.0;  // rightmost offset for player

const int BALLON_FLAG = 0x04;
const int MOUSE_FLAG = 0x08;


#endif
