#ifndef __HIGHSCORE_H__
#define __HIGHSCORE_H__

/*********************************************************
 * HIGHSCORE LOADING/SAVING
 * This class loads and saves the highscore list from/to
 * a file.
 *********************************************************/

#include <vector>
#include <string>

class Highscore
{
  struct Entry
  {
    int score;
    std::string name;
    bool operator>(const Entry& o) const
    {
      return (score > o.score || (score == o.score && name < o.name));
    }
  };
  std::vector<Entry> mScoreList;
  std::string mFilename;

  public:
    Highscore(const std::string& filename);
    ~Highscore();

    int add(int score, const std::string& name);
    size_t numEntries() const;
    int getScore(int rank) const;
    const std::string& getName(int rank) const;
};

#endif
