#ifndef __NEEDLE_H__
#define __NEEDLE_H__

#include <Ogre.h>
#include <audiere.h>
#include "object.h"

/*********************************************************
 * NEEDLE HANDLING
 * This class manages a thrown needle during its flight.
 * It also checks for collision with any flying mice.
 *********************************************************/

class Needle: public Object
{
  public:
    Needle(Ogre::SceneManager* sceneMgr, Ogre::SceneNode* node, Ogre::Entity* needle, double speed, audiere::AudioDevicePtr audioDev);
    ~Needle();

    void update(double passedTime);
    bool isDead() const;
    void show() { mEnt->setVisible(true); }
    void hide() { mEnt->setVisible(false); }


  private:
    void checkForHit();

    Ogre::SceneManager* mSceneMgr;
    Ogre::SceneNode* mNode;
    Ogre::Entity* mEnt;
    Ogre::Vector3 mSpeed;
    Ogre::AxisAlignedBoxSceneQuery* mQry;
    bool mIsDead;
    audiere::OutputStreamPtr mSoundHitGround;
};

#endif
