#include "object.h"
#include <Ogre.h>

ObjectManager::ObjectManager()
{
}

ObjectManager& ObjectManager::instance()
{
  static ObjectManager objMan;
  return objMan;
}

void ObjectManager::add(Object* obj)
{
  mObjs.insert(mObjs.end(), obj);
}

void ObjectManager::update(double passedTime)
{
  for (size_t i = 0; i < mObjs.size(); )
  {
    mObjs[i]->update(passedTime);
    if (mObjs[i]->isDead())
    {
      delete mObjs[i];
      mObjs.erase(mObjs.begin()+i);
    }
    else
      ++i;
  }
}

void ObjectManager::hideAll()
{
  for (size_t i = 0; i < mObjs.size(); ++i)
    mObjs[i]->hide();
}

void ObjectManager::showAll()
{
  for (size_t i = 0; i < mObjs.size(); ++i)
    mObjs[i]->show();
}

void ObjectManager::deleteAll()
{
  for (size_t i = 0; i < mObjs.size(); ++i)
    delete mObjs[i];
  mObjs.clear();
}
