#ifndef __PLAYER_H__
#define __PLAYER_H__

/**************************************************
 * PLAYER OBJECT
 * This handles the player's mouse.
 **************************************************/

#include <Ogre.h>
#include <audiere.h>

class Needle;

class Player
{
  public:
    Player(Ogre::SceneManager* sceneMgr, audiere::AudioDevicePtr audioDev);
    ~Player();
    void moveLeft(bool move = true);
    void moveRight(bool move = true);
    void update(double passedTime);
    void throwNeedle(double speed);
    void show() { mObj->setVisible(true); }
    void hide() { mObj->setVisible(false); }

  private:
    void setMoveAnimation();

    Ogre::SceneManager* mSceneMgr;
    Ogre::Entity* mObj;
    Ogre::SceneNode* mNode;
    Ogre::Entity* mNeedle;
    Ogre::AnimationState* mAnim;
    Ogre::AnimationState* mThrowAnim;
    bool mMoveLeft, mMoveRight;
    double mPosition;
    double mThrowSpeed;
    bool mThrowing;
    audiere::AudioDevicePtr mAudioDevice;
};

#endif
