#ifndef __SCORE_H__
#define __SCORE_H__

/************************************************************
 * FLOATING SCORE DISPLAY
 * This class manages a score display for a successful hit on
 * a ballon. The text will show the score gained for the hit
 * floating over the position where the hit occured.
 ************************************************************/

#include <Ogre.h>
#include "MovableText.h"
#include "object.h"

class Score: public Object
{
  public:
    Score(Ogre::SceneManager* sceneMgr, Ogre::SceneNode* node, const std::string& val);
    ~Score();

    void update(double passedTime);
    bool isDead() const;
    void show() { mText->setVisible(true); }
    void hide() { mText->setVisible(false); }

  private:
    Ogre::SceneManager* mSceneMgr;
    Ogre::SceneNode* mNode;
    Ogre::MovableText* mText;
    bool mIsDead;
    double mTime;
    double mHeight;
};

#endif
